#
# spec file for package palaura
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           palaura
Version:        1.0.1
Release:        lp152.3.8
Summary:        Find any word's definition with dictionary
License:        GPL-3.0+
Group:          Productivity/Office/Other
URL:            https://lainsce.us/
Source:         https://github.com/lainsce/palaura/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
%glib2_gsettings_schema_requires

%description
Find any word's definition, and details about it, with this handy
dictionary by your side.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_datadir}/appdata
mv %{buildroot}%{_datadir}/{metainfo,appdata}/com.github.lainsce.palaura.appdata.xml

%suse_update_desktop_file -r com.github.lainsce.palaura GTK Office Dictionary
%fdupes %{buildroot}/%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%doc AUTHORS LICENSE README.md
%{_bindir}/com.github.lainsce.palaura
%dir %{_datadir}/appdata/
%{_datadir}/appdata/com.github.lainsce.palaura.appdata.xml
%{_datadir}/applications/com.github.lainsce.palaura.desktop
%{_datadir}/glib-2.0/schemas/com.github.lainsce.palaura.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.lainsce.palaura.svg

%changelog
* Tue Nov 21 2017 avvissu@yandex.by
- Update to 1.0.1:
  * small change
  * update changelog
  * update appdata
  * problem solution when trying to see examples of some words
  * removal of MyJsonReader class
* Tue Nov  7 2017 avvissu@yandex.by
- Initial package
